Bug 445690 - Vpnc service stopped unexpectedly from Network Manager in KDE [NEEDINFO]
Vpnc service stopped unexpectedly from Network Manager in KDE
Product: Fedora
Classification: Fedora
Component: NetworkManager-vpnc (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-08 11:26 EDT by James Haydon
Modified: 2009-07-14 11:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 11:14:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dcbw: needinfo? (enochlnx)

Attachments (Terms of Use)

  None (edit)
Description James Haydon 2008-05-08 11:26:44 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Have Network Manager in KDE I have wireless running
2.Open Network Manerger from the toolbar.
3. Go to Vpn connection and try to open a vpnc connection
Actual results:
A box pops up saying
VPN Connection Failed

Thw VPN Connection "xxxxxxxxxx" fail because
the VPN service stopped unexpectedly

Expected results:

I expect in to connect to the server

Additional info:

I able to run vpnc off the command with the same info in Network Manager VPNC.
Comment 1 Rex Dieter 2008-05-08 11:53:51 EDT
rpm -q NetworkManager-vpnc
Comment 2 James Haydon 2008-05-08 12:56:51 EDT
Comment 3 Bug Zapper 2008-05-14 06:50:39 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 4 Shawn Starr 2008-06-30 21:59:24 EDT
I can confirm this also

Jun 30 21:58:08 segfault NetworkManager: <info>  Starting VPN service
Jun 30 21:58:08 segfault NetworkManager: <info>  VPN service
'org.freedesktop.NetworkManager.vpnc' started
(org.freedesktop.NetworkManager.vpnc), PID 3772
Jun 30 21:58:08 segfault NetworkManager: <info>  VPN service
'org.freedesktop.NetworkManager.vpnc' just appeared, activating connections
Jun 30 21:58:08 segfault NetworkManager: <info>  VPN plugin state changed: 1
Jun 30 21:58:09 segfault NetworkManager: <info>  VPN plugin state changed: 3
Jun 30 21:58:09 segfault NetworkManager: <info>  VPN connection 'Company VPN'
(Connect) reply received.
Jun 30 21:58:09 segfault NetworkManager: <info>  VPN plugin state changed: 6
Jun 30 21:58:09 segfault NetworkManager: <WARN>  connection_vpn_state_changed():
Could not process the request because no VPN connection was active.

This is broken in Rawhide
Comment 5 Shawn Starr 2008-06-30 22:02:12 EDT
May this be somehow related to not having PolicyKit in KDE (trunk code) vs
Comment 6 Matěj Cepl 2008-08-02 02:41:26 EDT
Created attachment 313260 [details]

Me too. And this is with Gnome, PolicyKit installed and all that jazz. Actually
vpnc plugin worked pretty well until couple of weeks ago, and then this error
is happening on 100% tries.

Also, vpnc when run from the command line works as expected.
Comment 7 Dan Williams 2008-11-17 09:22:12 EST
Is this still an issue with latest F9 updates?  Are you sure your passwords are correct?
Comment 8 Bug Zapper 2009-06-09 20:41:12 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 9 Bug Zapper 2009-07-14 11:14:07 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.